A few items in the readme for known issues:

3.6.1 - bundles being installed even if bundle management not enabled

Question: I'm assuming this is being worked on, even though the workaround is: None?

3.14.2 - Patches not being deployed if they require an updated MSI. Shouldn't the patch management install any pre-requisites that the patch needs? I mean it's kinda annoying to have to "manually" deploy an updated MSI because a patch came out that requires it. I would think that the patch SHOULD be able to determine this and update accordingly. At least I would think that would be desirable.